LMDE BREAKAGES - tracking TESTING

Archived topics about LMDE 1 and LMDE 2
Locked
CzLaci
Level 1
Level 1
Posts: 2
Joined: Tue Mar 27, 2012 10:52 am

Re: LMDE BREAKAGES - tracking TESTING - updated 12 Mar

Post by CzLaci »

Hi!
Have a problem!
Work for LMDE testing, Firefox 11.0 is here this week, but i386 and amd64 deb package is equal in the romeo repository. So it is useless, not running in a 32bit machine.
zerozero
Level 16
Level 16
Posts: 6477
Joined: Tue Jul 07, 2009 2:29 pm

Re: LMDE BREAKAGES - tracking TESTING - updated 12 Mar

Post by zerozero »

CzLaci wrote:Hi!
Have a problem!
Work for LMDE testing, Firefox 11.0 is here this week, but i386 and amd64 deb package is equal in the romeo repository. So it is useless, not running in a 32bit machine.
i believe i see now the problem :lol: sorry for being sooooo slow, but when the FF11 update came (here in 64bit) i took it and it's been working fine

Code: Select all

Start-Date: 2012-03-26  01:19:00
Commandline: apt-get dist-upgrade
Upgrade: thunderbird:amd64 (9.0.1-1linuxmint1, 11.0), thunderbird-l10n-en-gb:amd64 (9.0.1-1linuxmint1, 11.0), mate-terminal-common:amd64 (1.2.0-1, 1.2.1-1), firefox:amd64 (9.0.1-1linuxmint1, 11.0), mate-terminal:amd64 (1.2.0-1, 1.2.1-1), libpango1.0-dev:amd64 (1.29.4-3, 1.29.4-3+b1), libgd2-xpm:amd64 (2.0.36~rc1~dfsg-6, 2.0.36~rc1~dfsg-6+b1), firefox-l10n-en-gb:amd64 (9.0.1-1linuxmint1, 11.0), libpango1.0-0:amd64 (1.29.4-3, 1.29.4-3+b1), gir1.2-pango-1.0:amd64 (1.29.4-3, 1.29.4-3+b1)
End-Date: 2012-03-26  01:19:25
but today you can't find the 64bit builds in the mint repo (neither for FF nor for TB)
http://packages.linuxmint.com/pool/romeo/t/thunderbird/
http://packages.linuxmint.com/pool/romeo/f/firefox/
honestly i don't see a problem here: the initial builds (the ones placed in romeo in the 25/03 were 11.0 >>> the same i got); the 32bit that is now in the pool is 11.0-1lmde1
in a couple days all should be fine (and romeo is just for testing remember :wink: )
Image

[ bliss of ignorance ]
CzLaci
Level 1
Level 1
Posts: 2
Joined: Tue Mar 27, 2012 10:52 am

Re: LMDE BREAKAGES - tracking TESTING - updated 12 Mar

Post by CzLaci »

Thank you, that's already good and it works.
Lippy
Level 2
Level 2
Posts: 68
Joined: Thu Oct 06, 2011 12:28 pm

Re: LMDE BREAKAGES - tracking TESTING - updated 12 Mar

Post by Lippy »

Got a new error on boot, probably caused by the live-config update the other day.

Code: Select all

startpar: service(s) returned failure: live-config ... failed!
Also there are problems with the Mint-X theme. Buttons turn pink when clicked, and in gdm3 it is not possible to see who you are logging in as without clicking it as that is all pink too. It's probably an incompatibility with GTK+ 3.2 as iirc it broke some GTK+ 3.0 themes. I haven't noticed this up until now as I've been using other themes, but the debian-system-adjustments update has reset gdm3 to Mint-X. Somehow I've been unable to change the gdm3 theme back too. I've edited the files in /usr/share/linuxmint/adjustments/gdm3 but I've had no such luck. Perhaps a reboot will fix this, but I don't remember having to do that last time. I suppose that's one of the strange quirks of gdm3.

EDIT: Looks like a reboot was what it needed for the gdm3 theme to change.
LMDE (tracking Testing) with Cinnamon; Intel Core 2 Duo E8400, Nvidia GeForce GTX 260 (using Nouveau)
User avatar
viking777
Level 14
Level 14
Posts: 5113
Joined: Mon Dec 01, 2008 11:21 am

Re: LMDE BREAKAGES - tracking TESTING - updated 12 Mar

Post by viking777 »

This morning's update completely bricked my LMDE install, not noticeable until after a reboot. The boot looks quite normal until the login screen but after log in I first get a message saying "All updates are complete" with an OK button, pressing that I get another message "I could not start your session so I have started the failsafe xterm session". The OK button on that opens an xterm window but nothing else.

Things I have tried:

Reinstall Nvidia driver (with sgfxi)
apt-get update && apt-get dist-upgrade
apt-get -f install
dpkg-reconfigure -a
boot to older kernel
boot to older kernel then reinstall nvidia driver
boot to gnome classic desktop

None of them work.

I have a backup of course, but it would be nice to know how to fix it without that.

This is what the first upgrade consisted of:
Start-Date: 2012-04-03 10:13:50
Commandline: /usr/sbin/synaptic
Install: gcc-4.7-base:amd64 (4.7.0-1, automatic)
Upgrade: nvidia-vdpau-driver:amd64 (295.20-1, 295.33-1), libstdc++6:amd64 (4.6.3-1, 4.7.0-1), nvidia-kernel-dkms:amd64 (295.20-1, 295.33-1), mint-artwork-debian:amd64 (2011.07.30, 2012.04.02.2), libicu48:amd64 (4.8.1.1-4, 4.8.1.1-5), libgomp1:amd64 (4.6.3-1, 4.7.0-1), libpcre3:amd64 (8.12-4, 8.30-4), nvidia-glx-ia32:amd64 (295.20-1, 295.33-1), lib32gcc1:amd64 (4.6.3-1, 4.7.0-1), xserver-xorg-video-nvidia:amd64 (295.20-1, 295.33-1), libquadmath0:amd64 (4.6.3-1, 4.7.0-1), libgcc1:amd64 (4.6.3-1, 4.7.0-1), libgl1-nvidia-glx-ia32:amd64 (295.20-1, 295.33-1), libgl1-nvidia-glx:amd64 (295.20-1, 295.33-1), libgl1-nvidia-alternatives:amd64 (295.20-1, 295.33-1), mint-backgrounds-debian:amd64 (1.0, 1.1), modemmanager:amd64 (0.5-1, 0.5.2.0-1), spacefm:amd64 (0.7.3-1, 0.7.4-1), libgl1-nvidia-alternatives-ia32:amd64 (295.20-1, 295.33-1), nvidia-alternative:amd64 (295.20-1, 295.33-1), libgfortran3:amd64 (4.6.3-1, 4.7.0-1), debdelta:amd64 (0.45, 0.46), openssl:amd64 (1.0.1-2, 1.0.1-4), lib32stdc++6:amd64 (4.6.3-1, 4.7.0-1),
libaacplus2:amd64 (2.0.2-0.2, 2.0.2-0.3), nvidia-glx:amd64 (295.20-1, 295.33-1), libssl1.0.0:amd64 (1.0.1-2, 1.0.1-4), mawk:amd64 (1.3.3-16, 1.3.3-17), libglx-nvidia-alternatives:amd64 (295.20-1, 295.33-1), libfaac0:amd64 (1.28-0.7, 1.28-0.8)
End-Date: 2012-04-03 10:16:13

This is what sgfxi did:
Start-Date: 2012-04-03 15:01:17
Commandline: apt-get purge -y glx-alternative-nvidia libgl1-nvidia-alternatives libgl1-nvidia-alternatives-ia32 libgl1-nvidia-glx:amd64 libgl1-nvidia-glx-ia32 libglx-nvidia-alternatives nvidia-alternative nvidia-glx nvidia-glx-ia32 nvidia-installer-cleanup nvidia-kernel-common nvidia-kernel-dkms nvidia-settings nvidia-support nvidia-vdpau-driver:amd64 xserver-xorg-video-nvidia glx-alternative-mesa glx-diversions
Purge: nvidia-vdpau-driver:amd64 (295.33-1), nvidia-kernel-dkms:amd64 (295.33-1), nvidia-kernel-common:amd64 (20111111+3), nvidia-glx-ia32:amd64 (295.33-1), xserver-xorg-video-nvidia:amd64 (295.33-1), libgl1-nvidia-glx-ia32:amd64 (295.33-1), libgl1-nvidia-glx:amd64 (295.33-1), libgl1-nvidia-alternatives:amd64 (295.33-1), glx-alternative-mesa:amd64 (0.2.1), nvidia-installer-cleanup:amd64 (20111111+3), libgl1-nvidia-alternatives-ia32:amd64 (295.33-1), glx-alternative-nvidia:amd64 (0.2.1), nvidia-alternative:amd64 (295.33-1), nvidia-support:amd64 (20111111+3), glx-diversions:amd64 (0.2.1), nvidia-glx:amd64 (295.33-1), nvidia-settings:amd64 (295.20-1), libglx-nvidia-alternatives:amd64 (295.33-1)
End-Date: 2012-04-03 15:02:42

This is what the later update/upgrade did:
Start-Date: 2012-04-03 15:10:56
Commandline: apt-get dist-upgrade
Upgrade: mint-artwork-debian:amd64 (2012.04.02.2, 2012.04.02.3)
End-Date: 2012-04-03 15:11:20

In the meantime I have other distros I can use.

Ideas anyone :?:

Edit. Although I tried reinstalling the nvidia driver I don't think it is at fault this time as I get the nvidia splashscreen and a normal login screen and that doesn't usually happen when the nvidia driver is faulty.
Fujitsu Lifebook AH532. Intel i5 processor, 6Gb ram, Intel HD3000 graphics, Intel Audio/wifi. Realtek RTL8111/8168B Ethernet.Lubuntu 13.10,Ubuntu12.10 (Unity), Mint16 (Cinnamon), Manjaro (Xfce).
GeneC
Level 7
Level 7
Posts: 1598
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - tracking TESTING - updated 12 Mar

Post by GeneC »

Viking

Have a look here.
http://forums.linuxmint.com/viewtopic.p ... 30&start=0
and
http://forums.linuxmint.com/viewtopic.p ... 80#p557833

EDIT:

No, that was not the problem. The version of libpcre3 you upgraded was a good version.
Last edited by GeneC on Tue Apr 03, 2012 12:09 pm, edited 1 time in total.
User avatar
viking777
Level 14
Level 14
Posts: 5113
Joined: Mon Dec 01, 2008 11:21 am

Re: LMDE BREAKAGES - tracking TESTING - updated 12 Mar

Post by viking777 »

Thanks for that Gene - I was searching through the Sid breakages thread one package at a time - I hadn't got as far as libcre by the time you posted back. I will see if I can downgrade it.

Cheers.
Fujitsu Lifebook AH532. Intel i5 processor, 6Gb ram, Intel HD3000 graphics, Intel Audio/wifi. Realtek RTL8111/8168B Ethernet.Lubuntu 13.10,Ubuntu12.10 (Unity), Mint16 (Cinnamon), Manjaro (Xfce).
GeneC
Level 7
Level 7
Posts: 1598
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - tracking TESTING - updated 12 Mar

Post by GeneC »

Viking

A fix came down in SID. New libpcre3 fixed the problem.

EDIT:
This appears not to be the problem.
Last edited by GeneC on Tue Apr 03, 2012 12:11 pm, edited 1 time in total.
User avatar
viking777
Level 14
Level 14
Posts: 5113
Joined: Mon Dec 01, 2008 11:21 am

Re: LMDE BREAKAGES - tracking TESTING - updated 12 Mar

Post by viking777 »

I can't find that package, the only one in the debian archive is 8.30-4

http://packages.debian.org/sid/libpcre3

It is the same package in wheezy too, I would have to go back to squeeze to get an earlier version.

Unless you know of another source.
Fujitsu Lifebook AH532. Intel i5 processor, 6Gb ram, Intel HD3000 graphics, Intel Audio/wifi. Realtek RTL8111/8168B Ethernet.Lubuntu 13.10,Ubuntu12.10 (Unity), Mint16 (Cinnamon), Manjaro (Xfce).
GeneC
Level 7
Level 7
Posts: 1598
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - tracking TESTING - updated 12 Mar

Post by GeneC »

When they broke in SID, I had uploaded the Wheezy packages to mediafire in case anyone needed them for a fix.
They are still there. :wink:
Last edited by GeneC on Tue Apr 03, 2012 11:59 am, edited 1 time in total.
User avatar
viking777
Level 14
Level 14
Posts: 5113
Joined: Mon Dec 01, 2008 11:21 am

Re: LMDE BREAKAGES - tracking TESTING - updated 12 Mar

Post by viking777 »

I will give it a try, but I just downgraded to 8.12-3 from ubuntu and that didn't fix it for me. That might be a Ubuntu incompatibility or it might be that libpcre3 is not the problem, I will let you know.
Fujitsu Lifebook AH532. Intel i5 processor, 6Gb ram, Intel HD3000 graphics, Intel Audio/wifi. Realtek RTL8111/8168B Ethernet.Lubuntu 13.10,Ubuntu12.10 (Unity), Mint16 (Cinnamon), Manjaro (Xfce).
GeneC
Level 7
Level 7
Posts: 1598
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - tracking TESTING - updated 12 Mar

Post by GeneC »

I just checked my SID partition.
We had another libpcre3 upgrade since the fix.
The file you found in the archive will work.

Code: Select all

gene@zordon:~$ apt-cache policy libpcre3
libpcre3:
  Installed: 1:8.30-4
  Candidate: 1:8.30-4
  Version table:
 *** 1:8.30-4 0
        500 http://http.us.debian.org/debian/ unstable/main amd64 Packages
        100 /var/lib/dpkg/status
GeneC
Level 7
Level 7
Posts: 1598
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - tracking TESTING - updated 12 Mar

Post by GeneC »

In checking the SID breakages, I see that the libpcre3 problem we have been discussing it the only real breakage. If that is not your problem. Not sure what to suggest?

PS
There is a grub-pc upgrade coming down that will/will not effect some testing users.
http://forums.linuxmint.com/viewtopic.p ... 20#p558453
zerozero
Level 16
Level 16
Posts: 6477
Joined: Tue Jul 07, 2009 2:29 pm

Re: LMDE BREAKAGES - tracking TESTING - updated 12 Mar

Post by zerozero »

viking,
i don't think that is the issue.
i just shutdown and up the system again, the libpcre3 v. that i have and that came with today's updates is the one fixed in sid

Code: Select all

amadeu@amadeu:~$ uptime
 16:49:56 up 2 min,  2 users,  load average: 0.42, 0.25, 0.10
amadeu@amadeu:~$ apt-cache policy libpcre3
libpcre3:
  Installed: 1:8.30-4
  Candidate: 1:8.30-4
  Version table:
 *** 1:8.30-4 0
        500 http://ftp.debian.org/debian/ testing/main amd64 Packages
        100 /var/lib/dpkg/status
you'll have to look elsewhere (i think)

Code: Select all

Start-Date: 2012-04-03  11:45:53
Commandline: /usr/sbin/synaptic
Install: gcc-4.7-base:amd64 (4.7.0-1, automatic)
Upgrade: nvidia-vdpau-driver:amd64 (295.20-1, 295.33-1), libstdc++6:amd64 (4.6.3-1, 4.7.0-1), nvidia-kernel-dkms:amd64 (295.20-1, 295.33-1), libicu48:amd64 (4.8.1.1-4, 4.8.1.1-5), libgomp1:amd64 (4.6.3-1, 4.7.0-1), libpcre3:amd64 (8.12-4, 8.30-4), xserver-xorg-video-nvidia:amd64 (295.20-1, 295.33-1), libquadmath0:amd64 (4.6.3-1, 4.7.0-1), libgcc1:amd64 (4.6.3-1, 4.7.0-1), libgl1-nvidia-glx:amd64 (295.20-1, 295.33-1), libgl1-nvidia-alternatives:amd64 (295.20-1, 295.33-1), modemmanager:amd64 (0.5-1, 0.5.2.0-1), nvidia-alternative:amd64 (295.20-1, 295.33-1), libgfortran3:amd64 (4.6.3-1, 4.7.0-1), openssl:amd64 (1.0.1-2, 1.0.1-4), libmjpegtools-2.0-0:amd64 (2.0.0-0.5, 2.0.0-0.6), libaacplus2:amd64 (2.0.2-0.2, 2.0.2-0.3), nvidia-glx:amd64 (295.20-1, 295.33-1), libssl1.0.0:amd64 (1.0.1-2, 1.0.1-4), mawk:amd64 (1.3.3-16, 1.3.3-17), libglx-nvidia-alternatives:amd64 (295.20-1, 295.33-1), libfaac0:amd64 (1.28-0.7, 1.28-0.8)
End-Date: 2012-04-03  11:47:38
Image

[ bliss of ignorance ]
User avatar
viking777
Level 14
Level 14
Posts: 5113
Joined: Mon Dec 01, 2008 11:21 am

Re: LMDE BREAKAGES - tracking TESTING - updated 12 Mar

Post by viking777 »

You are right zerozero I have tried 3 versions of that particular file now and none of them work, which leads me to believe it is not the problem. It appears to be an xsession error (error messages in ~/.xsession-errors indicated that there is no folder /etc/X11/Xsession.d. I tried creating a folder, but that was not enough it needs something in it. As I have no idea what goes in there I think I may to resort to my backup. I always feel as if I have been defeated when I have to do that though :(

As a last resort I am going to copy the contents of Xsession.d from my Crunchbang partition to my LMDE partition and see what happens ( I can't make it any worse).
Fujitsu Lifebook AH532. Intel i5 processor, 6Gb ram, Intel HD3000 graphics, Intel Audio/wifi. Realtek RTL8111/8168B Ethernet.Lubuntu 13.10,Ubuntu12.10 (Unity), Mint16 (Cinnamon), Manjaro (Xfce).
GeneC
Level 7
Level 7
Posts: 1598
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - tracking TESTING - updated 12 Mar

Post by GeneC »

Yes, I should have checked up recent upgrades in my SID partition, first. :oops:
The libpcre3 upgraded you made this morning should not have been an issue. It was a fixed version. Sorry!

Hope you find your problem. This particular problem doesn't seem to have shown up for us in SID. :?:
zerozero
Level 16
Level 16
Posts: 6477
Joined: Tue Jul 07, 2009 2:29 pm

Re: LMDE BREAKAGES - tracking TESTING - updated 12 Mar

Post by zerozero »

don't you dare asking me what is it :lol:
Image

[ bliss of ignorance ]
User avatar
viking777
Level 14
Level 14
Posts: 5113
Joined: Mon Dec 01, 2008 11:21 am

Re: LMDE BREAKAGES - tracking TESTING - updated 12 Mar

Post by viking777 »

As a last resort I am going to copy the contents of Xsession.d from my Crunchbang partition to my LMDE partition and see what happens ( I can't make it any worse).
:lol: :lol: :lol: :lol: :lol:

It only worked!!!

Here I am back in LMDE with no visible ill effects. I am guessing that this had nothing to do with the update, maybe I accidentally deleted that folder, I did delete several backups from /etc/X11 earlier today, maybe I had the Xsession.d folder highlighted at the same time and didn't notice it :oops:

Two things then. This probably had nothing to do with today's update and secondly how you would fix a problem like this without a vaguely similar distro to copy the folder from I have no idea.

With luck like that I had better check and see if I have won on the premium bonds this month :lol:
Fujitsu Lifebook AH532. Intel i5 processor, 6Gb ram, Intel HD3000 graphics, Intel Audio/wifi. Realtek RTL8111/8168B Ethernet.Lubuntu 13.10,Ubuntu12.10 (Unity), Mint16 (Cinnamon), Manjaro (Xfce).
theophrastus
Level 1
Level 1
Posts: 16
Joined: Sat Jul 02, 2011 7:17 pm

Re: LMDE BREAKAGES - tracking TESTING - updated 12 Mar

Post by theophrastus »

Sorry about the "me too" without much additional insight but just like user 'Lippy' i am also seeing:
startpar: service(s) returned failure: live-config ... failed!
during boot-up. None of the google searches for the same error message are matching up, (there is no "grep -v" always returning exit 0 problem here). I build a custom kernel with make-kpkg I was presuming that that was the problem, but now i'm not so sure. As an aside, why doesn't one or the other of:

Code: Select all

dmesg | grep startpar
grep startpar /var/log/messages
show the error I see on the boot up screen? shouldn't this error be logged somewhere?

Thankee one and all!

System: Host aragog Kernel 3.3.0-jwg021 x86_64 (64 bit) Distro Linux Mint Xfce Edition
CPU: Quad core Intel Core i5 760 (-MCP-) cache 8192 KB flags (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips 22385.5
Clock Speeds: (1) 1197.00 MHz (2) 1197.00 MHz (3) 1197.00 MHz (4) 2794.00 MHz
Graphics: Card nVidia [GeForce GT 440] X.Org 1.11.4 Res: 1600x900@50.0hz
GLX Renderer GeForce GT 440/PCIe/SSE2 GLX Version 4.2.0 NVIDIA 295.33 Direct Rendering Yes
zerozero
Level 16
Level 16
Posts: 6477
Joined: Tue Jul 07, 2009 2:29 pm

Re: LMDE BREAKAGES - tracking TESTING - updated 12 Mar

Post by zerozero »

if you have MATE installed from the tridex repo, you'll probably see this this today

Code: Select all

Errors were encountered while processing:
 /var/cache/apt/archives/mate-themes_1.2.1-1+wheezy_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Code: Select all

amadeu@amadeu:~$ sudo dpkg -i --force-overwrite /var/cache/apt/archives/mate-themes_1.2.1-1+wheezy_all.deb
(Reading database ... 363652 files and directories currently installed.)
Preparing to replace mate-themes 1.2.0-1 (using .../mate-themes_1.2.1-1+wheezy_all.deb) ...
Unpacking replacement mate-themes ...
dpkg: warning: overriding problem because --force enabled:
 trying to overwrite '/usr/share/themes/Glider/gtk-2.0/gtkrc', which is also in package gnome-themes 2.30.2-1
dpkg: warning: overriding problem because --force enabled:
 trying to overwrite '/usr/share/themes/Glider/index.theme', which is also in package gnome-themes 2.30.2-1
dpkg: warning: overriding problem because --force enabled:
 trying to overwrite '/usr/share/themes/Glider/metacity-1/metacity-theme-1.xml', which is also in package gnome-themes 2.30.2-1
Setting up mate-themes (1.2.1-1+wheezy) ...
Processing triggers for mate-icon-theme ..
important after this run again the dist-upgrade or apt-get -f install (because the process was stopped)
Image

[ bliss of ignorance ]
Locked

Return to “LMDE Archive”